Package fr.gouv.vitam.common.database.parser.query.action

# Class UpdateActionParserHelper

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.UpdateActionHelper
fr.gouv.vitam.common.database.parser.query.action.UpdateActionParserHelper

public class UpdateActionParserHelper extends UpdateActionHelper
Query from Parser Helper

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `UpdateActionParserHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final AddAction`
  `add(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final IncAction`
  `inc(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final MaxAction`
  `max(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final MinAction`
  `min(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final PopAction`
  `pop(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final PullAction`
  `pull(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final PushAction`
  `push(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final RenameAction`
  `rename(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final SetAction`
  `set(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final SetregexAction`
  `setregex(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter)`
  `static final UnsetAction`
  `unset(com.fasterxml.jackson.databind.JsonNode array, VarNameAdapter adapter)`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.action.UpdateActionHelper

  `add, add, add, add, add, inc, inc, max, max, max, max, max, min, min, min, min, min, pop, pop, pull, pull, pull, pull, pull, push, push, push, push, push, rename, set, set, set, set, set, set, set, set, unset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateActionParserHelper

    protected UpdateActionParserHelper()

- ## Method Details

  - ### add

    public static final AddAction add(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      an AddAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### inc

    public static final IncAction inc(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      an IncAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### min

    public static final MinAction min(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      an MinAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### max

    public static final MaxAction max(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      an MaxAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### pop

    public static final PopAction pop(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      a PopAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### pull

    public static final PullAction pull(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      a PullAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### push

    public static final PushAction push(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      a PushAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### rename

    public static final RenameAction rename(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      a RenameAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### set

    public static final SetAction set(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      a SetAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### unset

    public static final UnsetAction unset(com.fasterxml.jackson.databind.JsonNode array, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `array` - JsonNode
      `adapter` - VarNameAdapter
    Returns:
      a UnsetAction
    Throws:
      `InvalidParseOperationException` - if could not parse to JSON

  - ### setregex

    public static final SetregexAction setregex(com.fasterxml.jackson.databind.JsonNode data, VarNameAdapter adapter) throws InvalidParseOperationException
    Parameters:
      `data` -
      `adapter` -
    Returns:
    Throws:
      `InvalidParseOperationException`